const uint16 kRuleIdTable[] = {
    43,  // Functional "^(助詞|助動詞|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
  2177,  // Unknown "名詞,サ変接続"
  2256,  // FirstName "名詞,固有名詞,人名,名"
  2257,  // LastName "名詞,固有名詞,人名,姓"
  2360,  // Number "名詞,数,アラビア数字"
  2362,  // KanjiNumber "名詞,数,漢数字"
     2,  // WeakCompoundPrefix "^(接頭詞,名詞接続|接頭詞,丁寧連用形接続|フィラー)"
   278,  // AcceptableParticleAtBeginOfSegment "^助詞,*,*,*,*,*,(が|で|と|に|にて|の|へ|より|も|と|から|は|や)$"
  3121,  // JapanesePunctuations "記号,(句点|読点)"
  3123,  // OpenBracket "記号,括弧開"
  3122,  // CloseBracket "記号,括弧閉"
  3120,  // GeneralSymbol "記号,一般,"
  3138,  // Zipcode "特殊,郵便番号"
  3139,  // IsolatedWord "特殊,短縮よみ"
  3140,  // SuggestOnlyWord "特殊,サジェストのみ"
   689,  // ContentWordWithConjugation "^(動詞,自立,*,*,五段|動詞,自立,*,*,一段|形容詞,自立)"
    43,  // SuffixWord "^(助詞|助動詞|動詞,非自立|動詞,接尾|形容詞,非自立|形容詞,接尾|動詞,自立,*,*,サ変・スル)"
  2331,  // CounterSuffixWord "名詞,接尾,助数詞"
  2254,  // UniqueNoun "^名詞,固有名詞"
  2185,  // GeneralNoun "^名詞,一般,*,*,*,*,*$"
  2177,  // ContentNoun "^名詞,(一般|固有名詞|副詞可能|サ変接続),"
  3085,  // NounPrefix "^接頭詞,名詞接続,"
  2360,  // EOSSymbol "^(記号,(句点|読点|アルファベット|一般|括弧開|括弧閉))|^(名詞,数,(アラビア数字|区切り文字))"
    12,  // Adverb "^副詞,"
   278,  // AdverbSegmentSuffix "^助詞,*,*,*,*,*,(から|で|と|に|にて|の|へ|を)$"
};
namespace {
// Functional "^(助詞|助動詞|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
const ::mozc::POSMatcher::Range kRangeTable_Functional[] = {
  {   43,  573 },
  { 1257, 2176 },
  { 2270, 2357 },
  { 2373, 2696 },
  { 2966, 3078 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Unknown "名詞,サ変接続"
const ::mozc::POSMatcher::Range kRangeTable_Unknown[] = {
  { 2177, 2183 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// FirstName "名詞,固有名詞,人名,名"
const ::mozc::POSMatcher::Range kRangeTable_FirstName[] = {
  { 2256, 2256 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// LastName "名詞,固有名詞,人名,姓"
const ::mozc::POSMatcher::Range kRangeTable_LastName[] = {
  { 2257, 2257 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Number "名詞,数,アラビア数字"
const ::mozc::POSMatcher::Range kRangeTable_Number[] = {
  { 2360, 2360 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// KanjiNumber "名詞,数,漢数字"
const ::mozc::POSMatcher::Range kRangeTable_KanjiNumber[] = {
  { 2362, 2371 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WeakCompoundPrefix "^(接頭詞,名詞接続|接頭詞,丁寧連用形接続|フィラー)"
const ::mozc::POSMatcher::Range kRangeTable_WeakCompoundPrefix[] = {
  {    2,   11 },
  { 3083, 3083 },
  { 3085, 3115 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// AcceptableParticleAtBeginOfSegment "^助詞,*,*,*,*,*,(が|で|と|に|にて|の|へ|より|も|と|から|は|や)$"
const ::mozc::POSMatcher::Range kRangeTable_AcceptableParticleAtBeginOfSegment[] = {
  {  278,  278 },
  {  281,  281 },
  {  290,  292 },
  {  333,  334 },
  {  337,  337 },
  {  339,  339 },
  {  353,  354 },
  {  367,  367 },
  {  371,  379 },
  {  382,  382 },
  {  391,  391 },
  {  393,  393 },
  {  403,  403 },
  {  417,  417 },
  {  420,  420 },
  {  424,  424 },
  {  430,  430 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// JapanesePunctuations "記号,(句点|読点)"
const ::mozc::POSMatcher::Range kRangeTable_JapanesePunctuations[] = {
  { 3121, 3121 },
  { 3124, 3124 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// OpenBracket "記号,括弧開"
const ::mozc::POSMatcher::Range kRangeTable_OpenBracket[] = {
  { 3123, 3123 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// CloseBracket "記号,括弧閉"
const ::mozc::POSMatcher::Range kRangeTable_CloseBracket[] = {
  { 3122, 3122 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// GeneralSymbol "記号,一般,"
const ::mozc::POSMatcher::Range kRangeTable_GeneralSymbol[] = {
  { 3120, 3120 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Zipcode "特殊,郵便番号"
const ::mozc::POSMatcher::Range kRangeTable_Zipcode[] = {
  { 3138, 3138 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// IsolatedWord "特殊,短縮よみ"
const ::mozc::POSMatcher::Range kRangeTable_IsolatedWord[] = {
  { 3139, 3139 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// SuggestOnlyWord "特殊,サジェストのみ"
const ::mozc::POSMatcher::Range kRangeTable_SuggestOnlyWord[] = {
  { 3140, 3140 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// ContentWordWithConjugation "^(動詞,自立,*,*,五段|動詞,自立,*,*,一段|形容詞,自立)"
const ::mozc::POSMatcher::Range kRangeTable_ContentWordWithConjugation[] = {
  {  689, 1029 },
  { 2697, 2965 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// SuffixWord "^(助詞|助動詞|動詞,非自立|動詞,接尾|形容詞,非自立|形容詞,接尾|動詞,自立,*,*,サ変・スル)"
const ::mozc::POSMatcher::Range kRangeTable_SuffixWord[] = {
  {   43,  573 },
  {  670,  682 },
  { 1257, 2176 },
  { 2514, 2696 },
  { 2966, 3078 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// CounterSuffixWord "名詞,接尾,助数詞"
const ::mozc::POSMatcher::Range kRangeTable_CounterSuffixWord[] = {
  { 2331, 2335 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// UniqueNoun "^名詞,固有名詞"
const ::mozc::POSMatcher::Range kRangeTable_UniqueNoun[] = {
  { 2254, 2263 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// GeneralNoun "^名詞,一般,*,*,*,*,*$"
const ::mozc::POSMatcher::Range kRangeTable_GeneralNoun[] = {
  { 2185, 2185 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// ContentNoun "^名詞,(一般|固有名詞|副詞可能|サ変接続),"
const ::mozc::POSMatcher::Range kRangeTable_ContentNoun[] = {
  { 2177, 2183 },
  { 2185, 2233 },
  { 2243, 2252 },
  { 2254, 2263 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// NounPrefix "^接頭詞,名詞接続,"
const ::mozc::POSMatcher::Range kRangeTable_NounPrefix[] = {
  { 3085, 3115 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// EOSSymbol "^(記号,(句点|読点|アルファベット|一般|括弧開|括弧閉))|^(名詞,数,(アラビア数字|区切り文字))"
const ::mozc::POSMatcher::Range kRangeTable_EOSSymbol[] = {
  { 2360, 2361 },
  { 3119, 3124 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Adverb "^副詞,"
const ::mozc::POSMatcher::Range kRangeTable_Adverb[] = {
  {   12,   42 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// AdverbSegmentSuffix "^助詞,*,*,*,*,*,(から|で|と|に|にて|の|へ|を)$"
const ::mozc::POSMatcher::Range kRangeTable_AdverbSegmentSuffix[] = {
  {  278,  278 },
  {  333,  334 },
  {  337,  337 },
  {  353,  354 },
  {  371,  372 },
  {  374,  379 },
  {  383,  383 },
  {  391,  391 },
  {  393,  393 },
  {  403,  403 },
  {  417,  417 },
  {  420,  420 },
  {  430,  430 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
}  // namespace
const ::mozc::POSMatcher::Range *const kRangeTables[25] = {
  kRangeTable_Functional,
  kRangeTable_Unknown,
  kRangeTable_FirstName,
  kRangeTable_LastName,
  kRangeTable_Number,
  kRangeTable_KanjiNumber,
  kRangeTable_WeakCompoundPrefix,
  kRangeTable_AcceptableParticleAtBeginOfSegment,
  kRangeTable_JapanesePunctuations,
  kRangeTable_OpenBracket,
  kRangeTable_CloseBracket,
  kRangeTable_GeneralSymbol,
  kRangeTable_Zipcode,
  kRangeTable_IsolatedWord,
  kRangeTable_SuggestOnlyWord,
  kRangeTable_ContentWordWithConjugation,
  kRangeTable_SuffixWord,
  kRangeTable_CounterSuffixWord,
  kRangeTable_UniqueNoun,
  kRangeTable_GeneralNoun,
  kRangeTable_ContentNoun,
  kRangeTable_NounPrefix,
  kRangeTable_EOSSymbol,
  kRangeTable_Adverb,
  kRangeTable_AdverbSegmentSuffix,
};
